﻿@model Booksweb.Models.Book

@{
    ViewBag.Title = "Editace knihy";
}

<h2>Editace knihy</h2>


@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    
<div class="form-horizontal">
    <h4>Kniha</h4>
    <hr />
    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
    @Html.HiddenFor(model => model.B_IDBook)
    @Html.HiddenFor(model => model.B_RowVersion, new { @name = "test", @id = "test" })

    <div class="form-group">
        @Html.LabelFor(model => model.B_Name, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.EditorFor(model => model.B_Name, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.B_Name, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.B_Author, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.EditorFor(model => model.B_Author, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.B_Author, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.B_Year, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.EditorFor(model => model.B_Year, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.B_Year, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.B_ISBN, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.EditorFor(model => model.B_ISBN, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.B_ISBN, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        <div class="col-md-offset-2 col-md-10">
            <table>
                <tr>
                    @{
                        int cnt = 0;
                        List<Booksweb.ViewModels.AssignedCategoryData> categories = ViewBag.Category;

                        if (categories!= null) { 
                        foreach (var category in categories)
                        {
                            if (cnt++ % 3 == 0)
                            {
                                @:</tr><tr>
                            }
                            @:<td>
                                <input type="checkbox"
                                       name="selectedCategories"
                                       value="@category.CategoryID"
                                       @(Html.Raw(category.Assigned ? "checked=\"checked\"" : "")) />
                                @category.Name
                                @:</td>
                        }
                        }
                        @:</tr>
                    }
                </table>
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Uložit změny" class="btn btn-default" />
            </div>
        </div>
    </div>
                        }

<div>
    @Html.ActionLink("Zpět na seznam", "Index")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
